configure.patch   [plain text]


--- configure	2006-02-24 06:29:13.000000000 -0800
+++ ../mfpatch/glib/configure	2006-10-10 11:50:40.000000000 -0700
@@ -28549,55 +28549,10 @@
 if test "${glib_cv_stack_grows+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-
-        if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-	volatile int *a = 0, *b = 0;
-	void foo (void);
-	int main () { volatile int y = 7; a = &y; foo (); return b > a; }
-	void foo (void) { volatile int x = 5; b = &x; }
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
   glib_cv_stack_grows=no
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-glib_cv_stack_grows=yes
-
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-
-fi
-echo "$as_me:$LINENO: result: $glib_cv_stack_grows" >&5
-echo "${ECHO_T}$glib_cv_stack_grows" >&6
+echo "$as_me:$LINENO: result: $glib_cv_stack_grows (Apple default)" >&5
+echo "${ECHO_T}$glib_cv_stack_grows (Apple default)" >&6
 
 echo "$as_me:$LINENO: checking for __inline" >&5
 echo $ECHO_N "checking for __inline... $ECHO_C" >&6
@@ -33807,58 +33762,10 @@
 if test "${glib_cv_uscore+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-
-		if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <dlfcn.h>
-                int glib_underscore_test (void) { return 42; }
-		int main() {
-		  void *f1 = (void*)0, *f2 = (void*)0, *handle;
-		  handle = dlopen ((void*)0, 0);
-		  if (handle) {
-		    f1 = dlsym (handle, "glib_underscore_test");
-		    f2 = dlsym (handle, "_glib_underscore_test");
-		  } return (!f2 || f1);
-		}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  glib_cv_uscore=yes
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-glib_cv_uscore=no
+	glib_cv_uscore=no
 fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-		rm -f plugin.c plugin.$ac_objext plugin.lo
-
-fi
-echo "$as_me:$LINENO: result: $glib_cv_uscore" >&5
-echo "${ECHO_T}$glib_cv_uscore" >&6
+echo "$as_me:$LINENO: result: $glib_cv_uscore (Apple default)" >&5
+echo "${ECHO_T}$glib_cv_uscore (Apple default)" >&6
         if test "x${glib_cv_uscore+set}" != "xset" ; then
   { { echo "$as_me:$LINENO: error: glib_cv_uscore must be set in cache file when cross-compiling." >&5
 echo "$as_me: error: glib_cv_uscore must be set in cache file when cross-compiling." >&2;}
@@ -34966,58 +34873,10 @@
 if test "${ac_cv_func_posix_getpwuid_r+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <errno.h>
-#include <pwd.h>
-int main () {
-    char buffer[10000];
-    struct passwd pwd, *pwptr = &pwd;
-    int error;
-    errno = 0;
-    error = getpwuid_r (0, &pwd, buffer,
-                        sizeof (buffer), &pwptr);
-   return (error < 0 && errno == ENOSYS)
-	   || error == ENOSYS;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
   ac_cv_func_posix_getpwuid_r=yes
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-ac_cv_func_posix_getpwuid_r=no
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
 fi
-echo "$as_me:$LINENO: result: $ac_cv_func_posix_getpwuid_r" >&5
-echo "${ECHO_T}$ac_cv_func_posix_getpwuid_r" >&6
+echo "$as_me:$LINENO: result: $ac_cv_func_posix_getpwuid_r (Apple default)" >&5
+echo "${ECHO_T}$ac_cv_func_posix_getpwuid_r (Apple default)" >&6
 		if test "x${ac_cv_func_posix_getpwuid_r+set}" != "xset" ; then
   { { echo "$as_me:$LINENO: error: ac_cv_func_posix_getpwuid_r must be set in cache file when cross-compiling." >&5
 echo "$as_me: error: ac_cv_func_posix_getpwuid_r must be set in cache file when cross-compiling." >&2;}